Bug 182874 - [UPDATE] www/mathjax
Summary: [UPDATE] www/mathjax
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-10 12:30 UTC by Carlo Strub
Modified: 2013-11-19 22:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.40 KB, patch)
2013-10-10 12:30 UTC, Carlo Strub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlo Strub freebsd_committer 2013-10-10 12:30:00 UTC
- Update to 2.2
- Support staging
- Support USE_GITHUB
- Remove indefinite article in COMMENT

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-10-10 12:30:06 UTC
Maintainer of www/mathjax,

Please note that PR ports/182874 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182874

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-10-10 12:30:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Carlo Strub freebsd_committer 2013-10-13 07:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it
Comment 4 dfilter service freebsd_committer 2013-11-19 22:05:10 UTC
Author: cs
Date: Tue Nov 19 22:04:57 2013
New Revision: 334355
URL: http://svnweb.freebsd.org/changeset/ports/334355

Log:
  - Update to 2.2
  - Support staging
  - Support USE_GITHUB
  - Remove indefinite article in COMMENT
  
  PR:		ports/182874
  Approved by:	maintainer timeout (40 days)

Modified:
  head/www/mathjax/Makefile
  head/www/mathjax/distinfo

Modified: head/www/mathjax/Makefile
==============================================================================
--- head/www/mathjax/Makefile	Tue Nov 19 21:49:39 2013	(r334354)
+++ head/www/mathjax/Makefile	Tue Nov 19 22:04:57 2013	(r334355)
@@ -2,32 +2,30 @@
 # $FreeBSD$
 
 PORTNAME=	MathJax
-PORTVERSION=	2.0
-#PORTREVISION=	0
+PORTVERSION=	2.2
 CATEGORIES=	www
-MASTER_SITES=	https://nodeload.github.com/mathjax/MathJax/tarball/v${PORTVERSION}-latest?dummy=/
 
 MAINTAINER=	lukasz.stelmach@iem.pw.edu.pl
-COMMENT=	A cross-browser JavaScript display engine for mathematics
+COMMENT=	Cross-browser JavaScript display engine for mathematics
 
-FETCH_BEFORE_ARGS=	-o ${DISTNAME}${EXTRACT_SUFX}
+NO_BUILD=	yes
+USE_GITHUB=	yes
+GH_ACCOUNT=	mathjax
+GH_TAGNAME=	v${PORTVERSION}
 
-NO_BUILD=	 yes
-
-WRKSRC=	${WRKDIR}/mathjax-MathJax-07669ac
+WRKSRC=	${WRKDIR}/${GH_ACCOUNT}-${PORTNAME}-54280bb
 
 # Changing permissions of 30k files with find -exec (COPYTREE) is way
 # too slow.
-NO_STAGE=	yes
 do-install:
-	${MKDIR} ${WWWDIR}
+	${MKDIR} ${STAGEDIR}${WWWDIR}
 	(cd ${WRKSRC} && \
-		${FIND} -d . | ${CPIO} -dumpl ${WWWDIR} >/dev/null 2>&1)
-	${FIND} -d ${WWWDIR} -type d -print0 | ${XARGS} -0 ${CHMOD} 755
-	${FIND} -d ${WWWDIR} -type f -print0 | ${XARGS} -0 ${CHMOD} ${SHAREMODE}
-	${CHOWN} -R ${BINOWN}:${BINGRP} ${WWWDIR}
-	@(cd ${PREFIX}; ${FIND} -s ${WWWDIR_REL} -not -type d) >> ${TMPPLIST}
-	@(cd ${PREFIX}; ${FIND} -s -d ${WWWDIR_REL} -type d) \
+		${FIND} -d . | ${CPIO} -dumpl ${STAGEDIR}${WWWDIR} >/dev/null 2>&1)
+	${FIND} -d ${STAGEDIR}${WWWDIR} -type d -print0 | ${XARGS} -0 ${CHMOD} 755
+	${FIND} -d ${STAGEDIR}${WWWDIR} -type f -print0 | ${XARGS} -0 ${CHMOD} ${SHAREMODE}
+	${CHOWN} -R ${BINOWN}:${BINGRP} ${STAGEDIR}${WWWDIR}
+	@(cd ${STAGEDIR}${PREFIX}; ${FIND} -s ${WWWDIR_REL} -not -type d) >> ${TMPPLIST}
+	@(cd ${STAGEDIR}${PREFIX}; ${FIND} -s -d ${WWWDIR_REL} -type d) \
 	| ${SED} -ne 's,^,@dirrm ,p' >> ${TMPPLIST}
 
 .include <bsd.port.mk>

Modified: head/www/mathjax/distinfo
==============================================================================
--- head/www/mathjax/distinfo	Tue Nov 19 21:49:39 2013	(r334354)
+++ head/www/mathjax/distinfo	Tue Nov 19 22:04:57 2013	(r334355)
@@ -1,2 +1,2 @@
-SHA256 (MathJax-2.0.tar.gz) = 01ad97362b9bac25420cbffd9d733d9abd3a750ba82b68063d4b2608c43a70ae
-SIZE (MathJax-2.0.tar.gz) = 9457775
+SHA256 (MathJax-2.2.tar.gz) = 3c01dc8c3fd6869311d45c15c348f7ad682aefa3ae03ccf201f9cad83e26ceb1
+SIZE (MathJax-2.2.tar.gz) = 8972964
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Carlo Strub freebsd_committer 2013-11-19 22:05:12 UTC
State Changed
From-To: feedback->closed

Closed. Maintainer timeout